## ros-one-jsk-pcl-ros-utils 1.2.19-6jammy.20251025.2142

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-6jammy.20251025.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:42:32 +0000

ros-one-jsk-pcl-ros-utils (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.18-0jammy) jammy; urgency=high

  * do not publish when array_size is zero (#2878 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2878>)
  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * fix build with PCL 1.13 (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.17-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.16-0jammy) jammy; urgency=high

  * [jsk_pcl_ros_utils] use nodelet logger and fix logging info (#2774 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2774>)
  * Save point cloud data as pcd format through ROS service. (#2773 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2773>)
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * Add size check in ClusterPointIndicesLabelFilter (#2740 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2740>)
  * Force plane coefficient to direct origin in plane concatinator (#2658 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2658>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * Add reset sync policy in destructor and add a test (#2681 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2681>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_perception][jsk_pcl_ros_utils][jsk_pcl_ros] Fix download links (#2632 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2632>)
  * add node that convert 3D coordinate to 2D coordinate (#2549 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2549>)
  * Add cluster point indices label filter (#2468 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2468>)
  * Contributors: Aoi Nakane, Guilherme Affonso, Iori Yanokura, Kei Okada, Koki Shinjo, Miyabi Tanemoto, Naoto Tsukamoto, Shingo Kitagawa, Tatsuro Sakaguchi, Yukina Iwata, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.15-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.14-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.13-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.12-0jammy) jammy; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.11-0jammy) jammy; urgency=high

  * [jsk_pcl_ros] Add multi euclidean clustering (#2463 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2463>)
  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * set time-limit and increase retry for jsk_pcl_ros_utils/test/tf_transform_bounding_box_array.test (#2495 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2495>)
    
      * set time-limit=25 for timeout:30 tests
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * Moved bagfile for multi object detection Fixed path of play_rosbag xml [jsk_pcl_ros_utils/install_sample_data.py] Make it multiprocess downloadable
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * MaskImageToDepthConsideredMaskImage: support approximate sync (#2410 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2410>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Add test for DepthImageError
      * Add sample for DepthImageError
      * Add test for PointCloudToSTL
      * Add sample for PointCloudToSTL
      * Fix mesh_resource in output marker msg in PointCloudToSTL
      * Add test for ColorizeDistanceFromPlane
      * Add sample for ColorizeDistanceFromPlane
      * Add test for PoseWithCovarianceStampedToGaussianPointCloud
      * Add sample for PoseWithCovarianceStampedToGaussianPointCloud
      * Add test for PolygonPointsSampler
      * Add sample for PolygonPointsSampler
      * Add test for PolygonFlipper
      * Add sample for PolygonFlipper
      * Add test for PolygonArrayWrapper
      * Add sample for PolygonArrayWrapper
      * Add sample for PolygonArrayUnwrapper
      * Add test for PolygonArrayTransformer
      * Add sample for PolygonArrayTransformer
      * Add test for PlaneConcatenator


## ros-one-jsk-pcl-ros-utils 1.2.19-6noble.20251025.2158

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_pcl_ros_utils)

# Use ccache if installed to make it fast to generate object files
if (${CMAKE_VERSION} VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif()
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  # update package.xml, in groovy we need to add pcl to package.xml
  execute_process(COMMAND sed -i s@<run_depend>pcl_ros</run_depend>@<run_depend>pcl_ros</run_depend><run_depend>pcl</run_depend>@g ${PROJECT_SOURCE_DIR}/package.xml)
  execute_process(COMMAND sed -i s@<build_depend>pcl_ros</build_depend>@<build_depend>pcl_ros</build_depend><build_depend>pcl</build_depend>@g ${PROJECT_SOURCE_DIR}/package.xml)
endif($ENV{ROS_DISTRO} STREQUAL "groovy")


# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(PCL_MSGS pcl)
else()
  set(PCL_MSGS pcl_msgs) ## hydro and later
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(ML_CLASSIFIERS )
else()
  set(ML_CLASSIFIERS ml_classifiers) ## hydro and later
endif()

find_package(catkin REQUIRED COMPONENTS
  jsk_recognition_utils
  dynamic_reconfigure pcl_ros nodelet message_generation genmsg
  ${PCL_MSGS} sensor_msgs geometry_msgs jsk_recognition_msgs
  eigen_conversions tf_conversions tf2_ros tf
  image_transport nodelet cv_bridge
  jsk_topic_tools
  image_geometry
  jsk_footstep_msgs
  interactive_markers
  laser_assembler
  octomap_server
  octomap_ros
  octomap_msgs
  kdl_parser
  kdl_conversions
  )
find_package(PkgConfig)
pkg_check_modules(${ML_CLASSIFIERS} ml_classifiers QUIET)
# only run in hydro
if(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
  find_package(PCL REQUIRED)
endif(NOT $ENV{ROS_DISTRO} STREQUAL "groovy")
find_package(OpenMP)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")

# For kinfu
find_package(PCL QUIET COMPONENTS gpu_kinfu_large_scale)

pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
IF(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
ENDIF()

# ------------------------------------------------------------------------------------
# Download
# ------------------------------------------------------------------------------------

# download and install sample data
add_custom_target(${PROJECT_NAME}_install_sample_data ALL COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/scripts/install_sample_data.py --pkg-path ${PROJECT_SOURCE_DIR})

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(
  cfg/BoundingBoxArrayToBoundingBox.cfg
  cfg/CloudOnPlane.cfg
  cfg/ClusterPointIndicesToPointIndices.cfg
  cfg/ClusterPointIndicesLabelFilter.cfg
  cfg/ColorizeDistanceFromPlane.cfg
  cfg/DelayPointCloud.cfg
  cfg/MaskImageToDepthConsideredMaskImage.cfg
  cfg/PlanarPointCloudSimulator.cfg
  cfg/PlaneConcatenator.cfg
  cfg/PlaneReasoner.cfg
  cfg/PlaneRejector.cfg
  cfg/PointCloudToMaskImage.cfg
  cfg/PointCloudToPCD.cfg
  cfg/PolygonArrayAreaLikelihood.cfg
  cfg/PolygonArrayLikelihoodFilter.cfg
  cfg/PolygonArrayUnwrapper.cfg
  cfg/PolygonMagnifier.cfg
  cfg/PolygonPointsSampler.cfg
  cfg/PoseWithCovarianceStampedToGaussianPointCloud.cfg
  cfg/SphericalPointCloudSimulator.cfg
)

find_package(OpenCV REQUIRED core imgproc)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS} ${Boost_LIBRARY_DIRS})
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

macro(jsk_pcl_util_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    jsk_pcl_util_nodelet_sources jsk_pcl_util_nodelet_executables)
endmacro(jsk_pcl_util_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)

if ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O0")
else ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O2 -g")
endif ($ENV{TRAVIS_JOB_ID})

jsk_pcl_util_nodelet(src/bounding_box_array_to_bounding_box_nodelet.cpp "jsk_pcl_utils/BoundingBoxArrayToBoundingBox"
  "bounding_box_array_to_bounding_box")
jsk_pcl_util_nodelet(src/normal_flip_to_frame_nodelet.cpp "jsk_pcl_utils/NormalFlipToFrame"
  "normal_flip_to_frame")
jsk_pcl_util_nodelet(src/centroid_publisher_nodelet.cpp "jsk_pcl_utils/CentroidPublisher" "centroid_publisher")
jsk_pcl_util_nodelet(src/cloud_on_plane_nodelet.cpp "jsk_pcl/CloudOnPlane"
  "cloud_on_plane")
jsk_pcl_util_nodelet(src/tf_transform_cloud_nodelet.cpp
  "jsk_pcl_utils/TfTransformCloud" "tf_transform_cloud")
jsk_pcl_util_nodelet(src/tf_transform_bounding_box_nodelet.cpp
  "jsk_pcl_utils/TfTransformBoundingBox" "tf_transform_bounding_box")
jsk_pcl_util_nodelet(src/tf_transform_bounding_box_array_nodelet.cpp
  "jsk_pcl_utils/TfTransformBoundingBoxArray" "tf_transform_bounding_box_array")
jsk_pcl_util_nodelet(src/normal_concatenater_nodelet.cpp
  "jsk_pcl_utils/NormalConcatenater" "normal_concatenater")
jsk_pcl_util_nodelet(src/polygon_array_distance_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayDistanceLikelihood" "polygon_array_distance_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_area_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayAreaLikelihood" "polygon_array_area_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_angle_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayAngleLikelihood" "polygon_array_angle_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_foot_angle_likelihood_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayFootAngleLikelihood" "polygon_array_foot_angle_likelihood")
jsk_pcl_util_nodelet(src/polygon_array_likelihood_filter_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayLikelihoodFilter" "polygon_array_likelihood_filter")
jsk_pcl_util_nodelet(src/pose_with_covariance_stamped_to_gaussian_pointcloud_nodelet.cpp
  "jsk_pcl_utils/PoseWithCovarianceStampedToGaussianPointCloud" "pose_with_covariance_stamped_to_gaussian_pointcloud")
jsk_pcl_util_nodelet(src/spherical_pointcloud_simulator_nodelet.cpp
  "jsk_pcl_utils/SphericalPointCloudSimulator" "spherical_pointcloud_simulator")
jsk_pcl_util_nodelet(src/polygon_flipper_nodelet.cpp
  "jsk_pcl_utils/PolygonFlipper" "polygon_flipper")
jsk_pcl_util_nodelet(src/polygon_points_sampler_nodelet.cpp
  "jsk_pcl_utils/PolygonPointsSampler" "polygon_points_sampler")
jsk_pcl_util_nodelet(src/polygon_magnifier_nodelet.cpp
  "jsk_pcl_utils/PolygonMagnifier" "polygon_magnifier")
jsk_pcl_util_nodelet(src/planar_pointcloud_simulator_nodelet.cpp
  "jsk_pcl_utils/PlanarPointCloudSimulator" "planar_pointcloud_simulator")
jsk_pcl_util_nodelet(src/plane_rejector_nodelet.cpp
  "jsk_pcl_utils/PlaneRejector" "plane_rejector")
jsk_pcl_util_nodelet(src/cluster_point_indices_label_filter_nodelet.cpp
  "jsk_pcl_utils/ClusterPointIndicesLabelFilter" "cluster_point_indices_label_filter")
if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
  jsk_pcl_util_nodelet(src/cluster_point_indices_to_point_indices_nodelet.cpp
    "jsk_pcl_utils/ClusterPointIndicesToPointIndices" "cluster_point_indices_to_point_indices")
endif()
jsk_pcl_util_nodelet(src/pointcloud_xyz_to_xyzrgb_nodelet.cpp
  "jsk_pcl_utils/PointCloudXYZToXYZRGB" "pointcloud_xyz_to_xyzrgb")
jsk_pcl_util_nodelet(src/pointcloud_xyzrgb_to_xyz_nodelet.cpp
  "jsk_pcl_utils/PointCloudXYZRGBToXYZ" "pointcloud_xyzrgb_to_xyz")
jsk_pcl_util_nodelet(src/pointcloud_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointCloudToClusterPointIndices" "pointcloud_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/pointcloud_to_mask_image_nodelet.cpp
  "jsk_pcl_utils/PointCloudToMaskImage" "pointcloud_to_mask_image")
jsk_pcl_util_nodelet(src/static_polygon_array_publisher_nodelet.cpp
  "jsk_pcl_utils/StaticPolygonArrayPublisher" "static_polygon_array_publisher")
jsk_pcl_util_nodelet(src/polygon_array_transformer_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayTransformer" "polygon_array_transformer")
jsk_pcl_util_nodelet(src/pointcloud_to_stl_nodelet.cpp
  "jsk_pcl_utils/PointCloudToSTL" "pointcloud_to_stl")
jsk_pcl_util_nodelet(src/pointcloud_to_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointCloudToPointIndices" "pointcloud_to_point_indices")
jsk_pcl_util_nodelet(src/polygon_appender_nodelet.cpp
  "jsk_pcl_utils/PolygonAppender" "polygon_appender")
jsk_pcl_util_nodelet(src/delay_pointcloud_nodelet.cpp
  "jsk_pcl_utils/DelayPointCloud" "delay_pointcloud")
jsk_pcl_util_nodelet(src/depth_image_error_nodelet.cpp
  "jsk_pcl_utils/DepthImageError" "depth_image_error")
jsk_pcl_util_nodelet(src/polygon_array_wrapper_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayWrapper" "polygon_array_wrapper")
jsk_pcl_util_nodelet(src/polygon_array_unwrapper_nodelet.cpp
  "jsk_pcl_utils/PolygonArrayUnwrapper" "polygon_array_unwrapper")
jsk_pcl_util_nodelet(src/colorize_distance_from_plane_nodelet.cpp
  "jsk_pcl_utils/ColorizeDistanceFromPlane" "colorize_distance_from_plane")
jsk_pcl_util_nodelet(src/colorize_height_2d_mapping_nodelet.cpp
  "jsk_pcl_utils/ColorizeHeight2DMapping" "colorize_height_2d_mapping")
jsk_pcl_util_nodelet(src/plane_reasoner_nodelet.cpp
  "jsk_pcl_utils/PlaneReasoner" "plane_reasoner")
jsk_pcl_util_nodelet(src/transform_pointcloud_in_bounding_box_nodelet.cpp
  "jsk_pcl_utils/TransformPointcloudInBoundingBox" "transform_pointcloud_in_bounding_box")
jsk_pcl_util_nodelet(src/point_indices_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/PointIndicesToClusterPointIndices" "point_indices_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/point_indices_to_mask_image_nodelet.cpp
  "jsk_pcl_utils/PointIndicesToMaskImage" "point_indices_to_mask_image")
jsk_pcl_util_nodelet(src/mask_image_to_depth_considered_mask_image_nodelet.cpp
  "jsk_pcl_utils/MaskImageToDepthConsideredMaskImage" "mask_image_to_depth_considered_mask_image")
jsk_pcl_util_nodelet(src/mask_image_to_point_indices_nodelet.cpp
  "jsk_pcl_utils/MaskImageToPointIndices" "mask_image_to_point_indices")
jsk_pcl_util_nodelet(src/label_to_cluster_point_indices_nodelet.cpp
  "jsk_pcl_utils/LabelToClusterPointIndices" "label_to_cluster_point_indices")
jsk_pcl_util_nodelet(src/plane_concatenator_nodelet.cpp
  "jsk_pcl_utils/PlaneConcatenator" "plane_concatenator")
jsk_pcl_util_nodelet(src/add_point_indices_nodelet.cpp
  "jsk_pcl_utils/AddPointIndices" "add_point_indices")
jsk_pcl_util_nodelet(src/subtract_point_indices_nodelet.cpp
  "jsk_pcl_utils/SubtractPointIndices" "subtract_point_indices")
jsk_pcl_util_nodelet(src/pcd_reader_with_pose_nodelet.cpp
  "jsk_pcl_utils/PCDReaderWithPose" "pcd_reader_with_pose")
jsk_pcl_util_nodelet(src/pointcloud_relative_from_pose_stamped_nodelet.cpp
  "jsk_pcl_utils/PointCloudRelativeFromPoseStamped" "pointcloud_relative_from_pose_stamped")
jsk_pcl_util_nodelet(src/pointcloud_to_pcd_nodelet.cpp
  "jsk_pcl_utils/PointCloudToPCD" "pointcloud_to_pcd")
jsk_pcl_util_nodelet(src/marker_array_voxel_to_pointcloud_nodelet.cpp
  "jsk_pcl_utils/MarkerArrayVoxelToPointCloud" "marker_array_voxel_to_pointcloud")
add_library(jsk_pcl_ros_utils SHARED ${jsk_pcl_util_nodelet_sources})
add_dependencies(jsk_pcl_ros_utils ${PROJECT_NAME}_gencfg)
target_link_libraries(jsk_pcl_ros_utils
  ${catkin_LIBRARIES} ${pcl_ros_LIBRARIES} ${PCL_LIBRARIES} ${OpenCV_LIBRARIES} yaml-cpp)

get_property(dirs DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} PROPERTY INCLUDE_DIRECTORIES)

catkin_package(
    DEPENDS PCL
    CATKIN_DEPENDS pcl_ros message_runtime ${PCL_MSGS} sensor_msgs geometry_msgs jsk_recognition_msgs jsk_recognition_utils
    INCLUDE_DIRS include
    LIBRARIES jsk_pcl_ros_utils
)

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-6noble.20251025.2158) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:58:26 +0000

ros-one-jsk-pcl-ros-utils (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.18-0noble) noble; urgency=high

  * do not publish when array_size is zero (#2878 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2878>)
  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * fix build with PCL 1.13 (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Yoshiki Obinata, Yuki Furuta, v4hn

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.17-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.16-0noble) noble; urgency=high

  * [jsk_pcl_ros_utils] use nodelet logger and fix logging info (#2774 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2774>)
  * Save point cloud data as pcd format through ROS service. (#2773 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2773>)
  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * Add size check in ClusterPointIndicesLabelFilter (#2740 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2740>)
  * Force plane coefficient to direct origin in plane concatinator (#2658 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2658>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [jsk_perception][jsk_pcl_ros_utils][resized_image_transport] Call onInitPostProcess() (#2719 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2719>)
  * Add reset sync policy in destructor and add a test (#2681 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2681>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_perception][jsk_pcl_ros_utils][jsk_pcl_ros] Fix download links (#2632 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2632>)
  * add node that convert 3D coordinate to 2D coordinate (#2549 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2549>)
  * Add cluster point indices label filter (#2468 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2468>)
  * Contributors: Aoi Nakane, Guilherme Affonso, Iori Yanokura, Kei Okada, Koki Shinjo, Miyabi Tanemoto, Naoto Tsukamoto, Shingo Kitagawa, Tatsuro Sakaguchi, Yukina Iwata, Yoshiki Obinata

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 10 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.15-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 10 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.14-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 09 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.13-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 08 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.12-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Oct 2020 00:00:00 -0000

ros-one-jsk-pcl-ros-utils (1.2.11-0noble) noble; urgency=high

  * [jsk_pcl_ros] Add multi euclidean clustering (#2463 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2463>)
  * Fix for  noetic / 20.04 (#2507 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2507>)
    
      * upgrade package.xml to format=3, migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
    
  * set time-limit and increase retry for jsk_pcl_ros_utils/test/tf_transform_bounding_box_array.test (#2495 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2495>)
    
      * set time-limit=25 for timeout:30 tests
    
  * set chainer version less than 7.0.0 (#2485 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2485>)
    
      * Moved bagfile for multi object detection Fixed path of play_rosbag xml [jsk_pcl_ros_utils/install_sample_data.py] Make it multiprocess downloadable
    
  * fix generate_readme.py and update readme (#2442 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2442>)
  * MaskImageToDepthConsideredMaskImage: support approximate sync (#2410 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2410>)
  * Add sample, test and doc (#2440 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2440>)
    
      * Add test for DepthImageError
      * Add sample for DepthImageError
      * Add test for PointCloudToSTL
      * Add sample for PointCloudToSTL
      * Fix mesh_resource in output marker msg in PointCloudToSTL
      * Add test for ColorizeDistanceFromPlane
      * Add sample for ColorizeDistanceFromPlane
      * Add test for PoseWithCovarianceStampedToGaussianPointCloud
      * Add sample for PoseWithCovarianceStampedToGaussianPointCloud
      * Add test for PolygonPointsSampler
      * Add sample for PolygonPointsSampler
      * Add test for PolygonFlipper
      * Add sample for PolygonFlipper
      * Add test for PolygonArrayWrapper
      * Add sample for PolygonArrayWrapper
      * Add sample for PolygonArrayUnwrapper
      * Add test for PolygonArrayTransformer
      * Add sample for PolygonArrayTransformer
      * Add test for PlaneConcatenator


=== debian/control ===
Source: ros-one-jsk-pcl-ros-utils
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, liboctomap-dev, libyaml-cpp-dev, python3-yaml, ros-one-catkin, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view2, ros-one-interactive-markers, ros-one-jsk-data, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-kdl-conversions, ros-one-kdl-parser, ros-one-laser-assembler, ros-one-message-generation, ros-one-ml-classifiers, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-nav-msgs, ros-one-nodelet, ros-one-octomap-msgs, ros-one-octomap-ros, ros-one-octomap-server, ros-one-pcl-conversions, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-robot-self-filter, ros-one-ros-environment, ros-one-rosboost-cfg, ros-one-roscpp-tutorials, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-stereo-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-tf2-ros, ros-one-visualization-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_pcl_ros_utils
Standards-Version: 3.9.2

Package: ros-one-jsk-pcl-ros-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, liboctomap-dev, libyaml-cpp-dev, python3-sklearn, ros-one-compressed-depth-image-transport, ros-one-compressed-image-transport, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view, ros-one-image-view2, ros-one-interactive-markers, ros-one-jsk-data, ros-one-jsk-footstep-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-rviz-plugins, ros-one-jsk-topic-tools, ros-one-kdl-conversions, ros-one-kdl-parser, ros-one-laser-assembler, ros-one-message-runtime, ros-one-ml-classifiers, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-nav-msgs, ros-one-nodelet, ros-one-octomap-msgs, ros-one-octomap-ros, ros-one-octomap-server, ros-one-openni2-launch, ros-one-pcl-conversions, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-robot-self-filter, ros-one-rosbag, ros-one-rosboost-cfg, ros-one-roscpp-tutorials, ros-one-rviz, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-stereo-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-tf2-ros, ros-one-visualization-msgs
Description: ROS utility nodelets for pointcloud perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-pcl-ros-utils//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-pcl-ros-utils 1.2.19-12jammy.20251215.2257

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12jammy.20251215.2257) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:57:50 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12jammy.20260106.2233

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12jammy.20260106.2233) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:33:07 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12jammy.20260128.2219

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12jammy.20260128.2219) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2026 22:19:39 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12jammy.20260301.2211

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12jammy.20260301.2211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Mar 2026 22:11:32 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12noble.20251215.2256

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12noble.20251215.2256) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:56:30 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12noble.20260106.2249

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12noble.20260106.2249) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:49:16 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12noble.20260128.2229

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12noble.20260128.2229) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2026 22:29:55 +0000

## ros-one-jsk-pcl-ros-utils 1.2.19-12noble.20260301.2205

=== debian/changelog ===
ros-one-jsk-pcl-ros-utils (1.2.19-12noble.20260301.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Mar 2026 22:05:04 +0000
